telepathy-glib (0.24.2-0.3ubuntu1) oracular; urgency=medium

  * Cherry-pick commit to fix build with glib 2.80 (Closes: #1070247)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:01:33 -0400

telepathy-glib (0.24.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix erroneous Depends on libtelepathy-glib0 instead of
    libtelepathy-glib0t64 (Closes: #1067696).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 26 Mar 2024 22:33:00 +0500

telepathy-glib (0.24.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062970

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:04:12 +0000

telepathy-glib (0.24.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Port scripts to Python 3 (Closes: #938638)
  * debian/patches:
    - python2-shebang.patch: No longer needed
    - python3-shebang.patch: Point a shebang used during tests to
      /usr/bin/python3
    - 0001-Don-t-use-the-same-test-name-for-multiple-tests.patch: Fixed
      upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Aug 2022 19:04:20 +0200

telepathy-glib (0.24.1-3) unstable; urgency=medium

  * debian/control: Update the Vcs-* fields, the repository has moved to salsa
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)
  * Bump debhelper compatibility to 13
  * debian/control: Remove Dafydd Harries from the Uploaders, thanks for his
    work in the past (Closes: #965394)
  * debian/control: Explicitly depends against python2 package, the
    unversioned python executable is going away for Debian 11. (Closes: #967215)
  * debian/control: Add libdbus-glib-1-doc and libglib2.0-doc to the BDI, and
    mark libtelepathy-glib-doc with Build-Profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Thu, 03 Dec 2020 12:21:28 +0100

telepathy-glib (0.24.1-2) unstable; urgency=medium

  * The "Give tp-glib some love" maintainer upload (Closes: #884307)
  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Jonny Lamb ]
  * Remove myself from Uploaders.

  [ Laurent Bigonville ]
  * Bump Standards-Version to 4.1.3 (no further changes)
  * Drop -dbg package and rely on automatically created one
  * debian/watch, debian/control: Use https://
  * Move .typelib file to the multi-arch location

 -- Laurent Bigonville <bigon@debian.org>  Thu, 01 Feb 2018 11:50:21 +0100

telepathy-glib (0.24.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001-Don-t-use-the-same-test-name-for-multiple-tests.patch:
    Take patch from upstream bug #92245 to not use the same test name more
    than once, which causes build failures with glib 2.46. (Closes: #800689)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 12 Oct 2015 10:08:02 +0100

telepathy-glib (0.24.1-1) unstable; urgency=medium

  * New upstream stable release
  * debian/copyright: clean up syntax (*.[ch] is unsupported),
    drop deleted files
  * debian/watch: only match 0.x versions, 1.0 will be a separate
    source package

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Sep 2014 15:49:50 +0100

telepathy-glib (0.24.0-1) unstable; urgency=low

  * New upstream stable release
    - drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Mar 2014 16:02:04 +0000

telepathy-glib (0.23.3-1) unstable; urgency=low

  * New upstream release (release candidate for 0.24.0)
    - update symbols file
  * Add patch fixing many memory leaks (regression in 0.23.1)

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Mar 2014 14:45:12 +0000

telepathy-glib (0.23.1-1) experimental; urgency=low

  * debian/gbp.conf, debian/watch: branch for experimental
  * New upstream release
    - update symbols file
    - build-depend on GLib 2.36

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Feb 2014 13:53:53 +0000

telepathy-glib (0.22.1-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jan 2014 12:26:49 +0000

telepathy-glib (0.22.0-2) unstable; urgency=medium

  * Drop version from pkg-config (build-)dependency, which is already
    satisfied in stable and impedes alternative
    implementations (Closes: #734487)
  * debian/copyright: use current syntax, update content
  * Use autoreconf for beter portability to new architectures
  * Standards-Version: 3.9.5, no changes needed

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Jan 2014 13:06:48 +0000

telepathy-glib (0.22.0-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Oct 2013 14:44:19 +0100

telepathy-glib (0.21.2-1) unstable; urgency=low

  * New upstream release (release candidate for 0.22)
    - add new ABI to symbols file
  * Remove workaround for #709781, fixed in GLib
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Sep 2013 16:35:36 +0100

telepathy-glib (0.21.1-1) experimental; urgency=low

  * Branch back to experimental
    - debian/gbp.conf: back to experimental branch
    - debian/watch: monitor all releases, not just stable ones
  * New upstream development release
    - this version fixes a circular reference between TpConnection and
      its self-contact property, but may cause application breakage in
      rare situations (TpConnection:self-contact did not previously become
      NULL when the connection was invalidated)

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2013 16:36:06 +0100

telepathy-glib (0.20.4-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jul 2013 13:30:58 +0100

telepathy-glib (0.20.3-1) unstable; urgency=low

  * New upstream release
  * Canonicalize Vcs-*

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2013 16:15:42 +0100

telepathy-glib (0.20.2-2) unstable; urgency=medium

  * Work around #709781 by skipping some test assertions on sparc,
    fixing FTBFS on sparc (Closes: #709776)

 -- Simon McVittie <smcv@debian.org>  Sat, 25 May 2013 13:40:34 +0100

telepathy-glib (0.20.2-1) unstable; urgency=low

  * Move 0.20.x from experimental to unstable
  * New upstream release
  * debian/watch: only monitor stable releases (x.y.z where y is even)
  * Standards-Version: 3.9.4
    - no changes
  * Clean up debian/tmp-home in dh_clean
  * Sort build-dependencies
  * Correct versioned (build-)dependencies according to configure.ac
  * Remove Breaks on packages older than oldstable

 -- Simon McVittie <smcv@debian.org>  Tue, 14 May 2013 09:53:55 +0100

telepathy-glib (0.20.1-1) experimental; urgency=low

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Nov 2012 17:46:15 +0000

telepathy-glib (0.20.0-1) experimental; urgency=low

  * Remove alternative build-dependency on valac-0.16: valac (>= 0.16)
    has been available for some time. (Closes: #675668)
  * New upstream stable release
    - update symbols file for new ABI in 0.19.10
    - no new ABI in 0.20.0

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Oct 2012 18:37:31 +0100

telepathy-glib (0.19.9-1) experimental; urgency=low

  * New upstream release
    - remove all patches, applied upstream
    - update symbols file

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Sep 2012 12:20:24 +0100

telepathy-glib (0.19.8-2) experimental; urgency=low

  * debian/patches/Fix-incorrect-error-on-UpdateLocalMediaDescription.patch:
  * debian/patches/Fix-retrieving-the-remove-contact-from-a-MediaDescri.patch
    + Added. Fix updating of media description. Solves video calling with
    theora and other video codecs that require out-of-band parameters.
    (Closes: #686563)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 03 Sep 2012 13:59:18 +0200

telepathy-glib (0.19.8-1) experimental; urgency=low

  * debian/control: Update vala dependency to 0.16
  * New upstream release (0.19.8)
  * debian/patches/0001-tls-certificate-test-GBytes-aren-t-0-terminated.patch
    + Added. Fix rarely-seen test failure (From upstream git)
  * debian/libtelepathy-glib0.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 31 Aug 2012 16:15:38 +0200

telepathy-glib (0.19.7-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated.

 -- Jonny Lamb <jonny@debian.org>  Tue, 28 Aug 2012 12:06:55 +0100

telepathy-glib (0.19.6-1) experimental; urgency=low

  * New upstream release
  * debian/libtelepathy-glib0.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 26 Aug 2012 13:10:25 +0200

telepathy-glib (0.19.3-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated.

 -- Jonny Lamb <jonny@debian.org>  Tue, 10 Jul 2012 12:23:24 +0100

telepathy-glib (0.19.1-1) experimental; urgency=low

  * New upstream release
    - drop patch from 0.19.0-1, no longer needed
    - update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Jun 2012 11:22:03 +0100

telepathy-glib (0.19.0-1) experimental; urgency=low

  * New upstream release
  * d/p/Hide-GList-based-contact-info-typedefs-from-g-ir-sca.patch:
    + Added. Fix build failures with recent vapigen (From upstream git)
  * debian/libtelepathy-glib0.symbols:
    + Update symbols file

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 02 Jun 2012 11:16:04 +0200

telepathy-glib (0.18.1-2) unstable; urgency=low

  * Set a fake home directory for the tests, for the benefit of architectures
    where either GDBus or libdbus doesn't understand credentials-passing,
    causing D-Bus clients to write to ~/.dbus-keyrings (not allowed on
    buildds). (Closes: #670291)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Apr 2012 18:05:39 +0100

telepathy-glib (0.18.1-1) unstable; urgency=low

  [ Simon McVittie ]
  * Merge versions from experimental into unstable
    - new upstream stable branch 0.18, released to correspond to GNOME 3.4
  * Run dh_install with --list-missing to list anything we forgot
  * Use the debhelper "gir" sequence from gobject-introspection
  * Allow parallel builds
  * Standards-Version: 3.9.3 (no changes)
  * Don't limit the runtime of the tests, and rely on sbuild (or whatever)
    to terminate the build if they get stuck. (Closes: #646076, and allows
    dropping the "temporary" Ubuntu patch which has worked around
    LP#804978 for several months)
  * New upstream version
    - does not assume Linux features (Closes: #668517)
    - fixes an unreliable regression test (Closes: #669527)

  [ Laurent Bigonville ]
  * debian/control:
    - Put gir1.2-telepathyglib-0.12 in the introspection Section
  * Build for multiarch

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Apr 2012 17:19:46 +0100

telepathy-glib (0.18.0-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated.

 -- Jonny Lamb <jonny@debian.org>  Mon, 02 Apr 2012 17:18:11 -0400

telepathy-glib (0.17.7-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated.

 -- Jonny Lamb <jonny@debian.org>  Thu, 22 Mar 2012 19:00:46 -0400

telepathy-glib (0.17.6-1) experimental; urgency=low

  * New upstream release
  * Build-depend on vala (>=0.14) | vala-0.14
  * debian/libtelepathy-glib0.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 19 Mar 2012 19:39:07 +0100

telepathy-glib (0.17.5-1) experimental; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Feb 2012 18:04:30 +0000

telepathy-glib (0.17.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated for new release.

 -- Jonny Lamb <jonny@debian.org>  Mon, 19 Dec 2011 17:04:56 +0000

telepathy-glib (0.17.1-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Updated for new release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 16 Nov 2011 09:25:35 +0000

telepathy-glib (0.17.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: bump g-i build-dep to ensure all the latest annotations are
    taken advantage of
  * debian/libtelepathy-glib0.symbols: Updated

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 09 Nov 2011 15:19:15 +0000

telepathy-glib (0.16.2-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 08 Nov 2011 18:06:49 +0000

telepathy-glib (0.16.1-1) unstable; urgency=low

  * New upstream release
  * Use vala 0.14

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 01 Nov 2011 11:26:09 +0100

telepathy-glib (0.16.0-1) unstable; urgency=low

  * New upstream release (starting 0.16 stable branch)
    - update symbols file

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2011 15:42:37 +0100

telepathy-glib (0.15.5-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control: Make libtelepathy-glib-dev Depends against gir package
    (Closes: #633952)

  [ Jonny Lamb ]
  * New upstream release.
  * debian/control: Up depends on gtk-doc-tools.
  * debian/libtelepathy-glib0.symbols: Updated for new release.

 -- Jonny Lamb <jonny@debian.org>  Thu, 18 Aug 2011 15:23:27 +0100

telepathy-glib (0.15.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/: Drop all patches as they're all upstream now.
  * debian/libtelepathy-glib0.symbols: Update for new release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 12 Jul 2011 19:10:24 +0100

telepathy-glib (0.15.2-4) unstable; urgency=low

  [ Simon McVittie ]
  * Tag patches as applied upstream

  [ Laurent Bigonville ]
  * debian/patches/fix-ftbfs-ia64.patch: Properly convert the GType with
    GSIZE_TO_POINTER, fix FTBFS on ia64 (Closes: #632326)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Jul 2011 17:12:22 +0200

telepathy-glib (0.15.2-3) unstable; urgency=low

  * Add patch to skip stream tube credentials-passing tests where that
    isn't supported (i.e. kFreeBSD) (Closes: #623587)
  * Import symbols file generated by upstream, fixing various typos
    and some Debian-revision-ful versions
  * Standards-Version: 3.9.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Jul 2011 08:04:30 +0100

telepathy-glib (0.15.2-2) unstable; urgency=low

  * Cherry-pick upstream fix to increase timeout of the contact-lists
    test on slower architectures like armel, mips, and mipsel.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 22 Jun 2011 16:29:01 -0600

telepathy-glib (0.15.2-1) unstable; urgency=low

  * New upstream release
  * debian/libtelepathy-glib0.symbols: Update for new release.

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 22 Jun 2011 19:08:18 +0200

telepathy-glib (0.15.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Update for new release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 07 Jun 2011 09:58:07 +0100

telepathy-glib (0.15.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Depend on glib >= 2.28.
  * debian/libtelepathy-glib0.symbols: Update for new release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 17 May 2011 10:33:22 +0100

telepathy-glib (0.14.5-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 21 Apr 2011 19:32:45 +0100

telepathy-glib (0.14.3-2) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 18:37:37 +0200

telepathy-glib (0.14.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 05 Apr 2011 17:06:37 +0200

telepathy-glib (0.11.11-2) unstable; urgency=low

  * Temporarily remove the gir bindings. They will come back when 0.14
    reaches unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Mar 2011 20:35:57 +0100

telepathy-glib (0.14.1-1) experimental; urgency=low

  * New upstream release
  * debian/libtelepathy-glib0.symbols:
    + Updated.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 22 Mar 2011 15:31:11 +0000

telepathy-glib (0.13.17-1) experimental; urgency=low

  * New upstream release.
    - debian/libtelepathy-glib0.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Mar 2011 14:37:05 +0000

telepathy-glib (0.13.15-1) experimental; urgency=low

  * New upstream release.
    - debian/libtelepathy-glib0.symbols:
      + Updated for the new release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 Feb 2011 18:10:06 +0000

telepathy-glib (0.13.12-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Add new symbols.

 -- Jonny Lamb <jonny@debian.org>  Thu, 03 Feb 2011 10:41:22 +0000

telepathy-glib (0.13.11-1) experimental; urgency=low

  * New upstream release.
  * debian/libtelepathy-glib0.symbols: Add new symbols.
  * debian/patches/01_fix_vala_bindings_build.patch: Remove patch.
  * debian/control: Build-depend on valac-0.12.

 -- Jonny Lamb <jonny@debian.org>  Thu, 27 Jan 2011 17:33:51 +0000

telepathy-glib (0.13.10-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/control: Follow the new gir1.2 policy

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_fix_vala_bindings_build.patch:
    - Don't introspect client-channel-factory for now, since
      the vala gir parser chokes on it. This is fixed on Vala
      0.11.3, so we can remove this patch when we have that.
  * debian/libtelepathy-glib0.symbols:
    - Updated for the new release.
  * debian/gir1.[02]-telepathyglib-0.12.install,
    debian/control:
    - More gir 1.2 fixes.
  * debian/control:
    - Add myself to Uploaders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jan 2011 17:37:35 +0000

telepathy-glib (0.13.9-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Dec 2010 17:47:44 +0000

telepathy-glib (0.13.8-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Dec 2010 20:53:42 +0000

telepathy-glib (0.13.7-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Nov 2010 17:03:05 +0000

telepathy-glib (0.13.6-1) experimental; urgency=low

  * New upstream version

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Nov 2010 16:32:00 +0000

telepathy-glib (0.13.5-1) experimental; urgency=low

  * New upstream version (new ABI, API)
    - regression tests are now more reliable (Closes: #602488)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2010 14:28:27 +0000

telepathy-glib (0.13.4-1) experimental; urgency=low

  * New upstream version (new ABI, API)
  * Increase dependencies on GObject-Introspection and Vala to reflect the
    versions with which telepathy-glib and libfolks have been verified to work
  * Adjust package descriptions to reflect that the g-i and Vala bindings are
    still not covered by the same API guarantees as the C API
  * Require GLib 2.26

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Nov 2010 18:28:41 +0000

telepathy-glib (0.11.16-1) experimental; urgency=low

  * New upstream version (new API, ABI)
  * Just run dh_makeshlibs with -V rather than specifying a version: this
    ensures conservative dependencies for old distributions even if we forget
    to increment the version, and the .symbols file relaxes the dependencies
    for modern distributions

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Sep 2010 17:31:04 +0100

telepathy-glib (0.11.15-1) experimental; urgency=low

  * New upstream version (new API, ABI)
  * Advance debhelper compat mode to 8
  * Use the 3.0 (quilt) source format
  * Stop using cdbs, use dh instead

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Sep 2010 14:54:55 +0100

telepathy-glib (0.11.14-2) experimental; urgency=low

  * Drop build-depend on the (now versioned) libvala-dev, it
    doesn't actually seem necessary to build the Vala bindings
  * Add myself to Uploaders, as I'm a member of pkg-telepathy

 -- Adam Conrad <adconrad@0c3.net>  Wed, 25 Aug 2010 15:34:30 -0600

telepathy-glib (0.11.14-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Aug 2010 16:53:29 +0100

telepathy-glib (0.11.13-1) experimental; urgency=low

  * New upstream version (new API, ABI)

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Aug 2010 12:22:44 +0100

telepathy-glib (0.11.12-1) experimental; urgency=low

  * New upstream version (new API, ABI)
  * Remove telepathy-glib.deps patch, it's finally in the tarball now
  * Install source code for more example CMs in libtelepathy-glib-doc

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Aug 2010 17:42:49 +0100

telepathy-glib (0.11.11-1+exp1) experimental; urgency=low

  * Merge from unstable: new upstream version
  * Adjust to the Vala bindings being improved upstream
  * Re-add telepathy-glib.deps as a patch, since it isn't in the tarball
  * Mention that the Vala bindings are experimental in the package description

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 18:41:33 +0100

telepathy-glib (0.11.11-1) unstable; urgency=low

  * New upstream release (new API, ABI)
  * Standards-Version: 3.9.1 (no changes needed)
  * Update debhelper compat level to 7
  * Partial merge from experimental:
    - really get the documentation directories right if using dh_buildinfo

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 17:54:02 +0100

telepathy-glib (0.11.10-1+exp1) experimental; urgency=low

  * Enable the experimental Vala bindings and install them in
    libtelepathy-glib-dev
  * Add telepathy-glib.deps (taken from upstream git) and install it alongside
    the Vala bindings, to have correct interdependencies
  * Really get the documentation directories right if using dh_buildinfo

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jul 2010 11:52:25 +0100

telepathy-glib (0.11.10-1) unstable; urgency=low

  [ Jonny Lamb ]
  * debian/rules: Update shlib dependency version as new ABI was
    introduced in 0.11.9.

  [ Simon McVittie ]
  * New upstream version (no new API/ABI)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jul 2010 20:22:31 +0100

telepathy-glib (0.11.9-1) unstable; urgency=low

  * New upstream version (new API/ABI)
  * Remove temporary workaround for #586742
  * Standards-Version: 3.9.0 (no changes needed)
  * Adjust mechanism for symlinking together doc directories so it works if
    dh-buildinfo is installed

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jul 2010 18:12:00 +0100

telepathy-glib (0.11.8-1) unstable; urgency=low

  * New upstream version (no new API/ABI)
    - requires gobject-introspection 0.6.14
  * Remove duplicate 'Section: libs' from control
  * Work around #586742 in cdbs by specifying docs explicitly

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2010 12:45:56 +0100

telepathy-glib (0.11.7-1) unstable; urgency=low

  * New upstream version
    - requires gobject-introspection 0.6.13
    - new ABI, API

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jun 2010 17:42:08 +0100

telepathy-glib (0.11.6-1) unstable; urgency=low

  * New upstream version
    - requires gtk-doc 1.15
    - requires gobject-introspection 0.6.11
    - new ABI, API
  * Merge from experimental
    - add gir1.0-telepathyglib-0.12 binary package

 -- Simon McVittie <smcv@debian.org>  Tue, 25 May 2010 16:57:39 +0100

telepathy-glib (0.11.5-1+exp1) experimental; urgency=low

  * Re-enable introspection (in experimental, for now)

 -- Simon McVittie <smcv@debian.org>  Mon, 10 May 2010 18:11:36 +0100

telepathy-glib (0.11.5-1) unstable; urgency=low

  * New upstream version with new API/ABI

 -- Simon McVittie <smcv@debian.org>  Mon, 10 May 2010 17:59:54 +0100

telepathy-glib (0.11.4-1) unstable; urgency=low

  * New upstream version
    - new API/ABI
    - disable the new GObject-Introspection for the moment, I'll enable it in
      experimental first
    - increase GLib and gtk-doc dependencies
  * Update debian/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Apr 2010 18:57:45 +0100

telepathy-glib (0.11.3-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream version with new API/ABI

 -- Jonny Lamb <jonny@debian.org>  Mon, 26 Apr 2010 09:53:54 +0100

telepathy-glib (0.11.2-1) unstable; urgency=low

  * New upstream version, without premature deprecations this time
    - no new API/ABI

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Apr 2010 19:38:41 +0100

telepathy-glib (0.11.1-1) unstable; urgency=low

  * New upstream version with new API/ABI
    - disables strict gtk-doc coverage checking in release builds, fixing
      FTBFS with newer gtk-doc (closes: #576438)

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Apr 2010 19:48:13 +0100

telepathy-glib (0.11.0-1) unstable; urgency=low

  * New upstream version with new API/ABI

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Mar 2010 20:00:43 +0100

telepathy-glib (0.10.1-1) unstable; urgency=low

  * New upstream stable-branch version (no new API/ABI)
  * Standards-Version: 3.8.4 (no changes needed)
  * Explicitly use source format 1.0 for now, to remain compatible with
    Maemo 5

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Mar 2010 19:17:16 +0000

telepathy-glib (0.10.0-1) unstable; urgency=low

  * New upstream stable-branch version (no new API/ABI)
  * Bump dh_makeshlibs argument to 0.9.2 to reflect new API in the previous
    release (should have been done in 0.9.2-1, although hopefully the symbols
    file means it's OK in practice)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Jan 2010 13:14:40 +0000

telepathy-glib (0.9.2-1) unstable; urgency=low

  * New upstream version with new API/ABI.
    - Bump dbus-glib dependency to 0.82
    - Adjust path to example Valgrind suppressions

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Dec 2009 21:06:29 +0000

telepathy-glib (0.9.1-1) unstable; urgency=low

  * New upstream version (no new API/ABI)

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Oct 2009 15:40:40 +0100

telepathy-glib (0.9.0-2) unstable; urgency=low

  * Bump GLib dependency to 2.20, to be nice to those making stable backports.
    Thanks to Andres Salomon for spotting this (Closes: #550406)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Oct 2009 18:50:34 +0100

telepathy-glib (0.9.0-1) unstable; urgency=low

  * New upstream version (API, ABI added)

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Sep 2009 16:45:32 +0100

telepathy-glib (0.8.0-1) unstable; urgency=low

  * New upstream stable version (no new API/ABI, and no more will be added
    on the 0.8 branch)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Sep 2009 15:06:21 +0100

telepathy-glib (0.7.37-1) unstable; urgency=low

  * New upstream version (API, ABI added)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2009 16:55:53 +0100

telepathy-glib (0.7.36-1) unstable; urgency=low

  * New upstream version (API, ABI added)

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Sep 2009 20:23:03 +0100

telepathy-glib (0.7.35-1) unstable; urgency=low

  * New upstream version (API, ABI added)
  * add Breaks: relation for old Gabble and telepathy-sofiasip versions, due
    to some unnecessary assertions in those versions (working versions are
    already present in squeeze, but not in lenny)

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2009 18:48:25 +0100

telepathy-glib (0.7.34-1) unstable; urgency=low

  * New upstream version (API, ABI added)
  * Standards-Version: 3.8.3 (no changes required)
  * Add a doc-base entry for libtelepathy-glib-doc

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2009 16:30:00 +0100

telepathy-glib (0.7.33-1) unstable; urgency=low

  * New upstream version (API, ABI unchanged)
    + Should fix builds on powerpc, sparc etc.
  * Standards-Version: 3.8.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Jun 2009 18:39:28 +0100

telepathy-glib (0.7.32-1) unstable; urgency=low

  * New upstream version (lots of API, ABI added)
    + Fixed a segfault in callable example CM (fd.o #22182, LP: #385358)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jun 2009 17:31:22 +0100

telepathy-glib (0.7.31-1) unstable; urgency=low

  * Run `make check` when telepathy-glib is compiled, unless nocheck is in
    DEB_BUILD_OPTIONS
    + Build-Depend on dbus so the tests can be run
  * New upstream version (API, ABI added)

 -- Simon McVittie <smcv@debian.org>  Wed, 27 May 2009 17:46:28 +0100

telepathy-glib (0.7.29-1) unstable; urgency=low

  * New upstream release.
  * debian/gbp.conf: Removed no-create-orig line.
  * debian/libtelepathy-glib0.symbols: Updated.
  * debian/control:
    + Removed XS-Dm-Upload-Allowed.
    + Added myself to Uploaders.
  * debian/copyright: Updated copyright years.
  * debian/rules: Updated ABI.

 -- Jonny Lamb <jonny@debian.org>  Sat, 04 Apr 2009 11:09:32 +0100

telepathy-glib (0.7.28-1) unstable; urgency=low

  * New upstream version (ABI, API added)
  * Put the -dbg package in section debug, as per recent archive changes
  * Remove obsolete Conflicts/Replaces with libtelepathy-glib-static-dev, which
    was never in a stable release (and probably never in Debian at all)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Mar 2009 22:06:52 +0000

telepathy-glib (0.7.27-1) unstable; urgency=low

  * New upstream version (ABI, API added)
  * Standards-Version: 3.8.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Mar 2009 21:38:41 +0000

telepathy-glib (0.7.26-1) unstable; urgency=low

  * New upstream version (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Feb 2009 17:05:49 +0000

telepathy-glib (0.7.25-2) unstable; urgency=low

  * Upload to debian unstable.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Feb 2009 10:33:05 +0100

telepathy-glib (0.7.25-1) experimental; urgency=low

  * New upstream version (no new ABI)

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Jan 2009 18:48:37 +0000

telepathy-glib (0.7.24-1) experimental; urgency=low

  * New upstream version (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2009 18:04:32 +0000

telepathy-glib (0.7.23-1) experimental; urgency=low

  * New upstream version (ABI, API added)
  * [lintian] Remove duplicate "Section: libs" from main package in
    debian/control

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jan 2009 15:58:36 +0000

telepathy-glib (0.7.20-1) experimental; urgency=low

  * New upstream release (ABI, API added)
  * Move packaging to git; the setup is basically the same as
    telepathy-farsight, but with pristine-tar enabled
  * debian/control: wrap Uploaders line
  * debian/control: add ${misc:Depends} to everything

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Dec 2008 01:58:54 +0000

telepathy-glib (0.7.19-1) experimental; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Dec 2008 17:02:16 +0000

telepathy-glib (0.7.18-1) experimental; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2008 16:12:32 +0000

telepathy-glib (0.7.17-1) experimental; urgency=low

  * New upstream release (ABI, API added)
  * Update build dependencies again: since 0.7.16 we need gtkdoc 1.10
  * Format build dependencies in multiple lines while I'm there
  * Standards-Version 3.8.0: put a note about patches in README.source

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Oct 2008 17:50:05 +0100

telepathy-glib (0.7.16-1) experimental; urgency=low

  * New upstream release (ABI, API added)
  * Update build dependencies: since 0.7.14, we need GLib 2.16

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2008 18:22:57 +0100

telepathy-glib (0.7.15-1) experimental; urgency=low

  [ Simon McVittie ]
  * New upstream release (ABI, API added)

  [ Laurent Bigonville ]
  * Use my debian.org address in Uploaders

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Sep 2008 15:22:13 -0700

telepathy-glib (0.7.14-1) experimental; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Aug 2008 14:16:21 +0100

telepathy-glib (0.7.13-1) experimental; urgency=low

  * New upstream release (ABI, API added)
  * Target experimental for now, due to the lenny freeze

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Jul 2008 12:33:46 +0100

telepathy-glib (0.7.12-1) unstable; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Jul 2008 10:42:54 +0100

telepathy-glib (0.7.11-1) unstable; urgency=low

  * New upstream bugfix release (no new ABI/API)

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Jul 2008 13:43:03 +0100

telepathy-glib (0.7.10-1) unstable; urgency=low

  * New upstream release (ABI, API added)
  * Add DPKG_GENSYMBOLS_CHECK_LEVEL=4 to debian/rules for maximum
    paranoia in detecting any ABI breakage
  * Add README.source explaining that versions >= 0.7.10 generate a
    dpkg-gensymbols .symbols file during the build, which can be copied
    into the packaging after checking that it makes sense

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Jun 2008 15:59:45 +0100

telepathy-glib (0.7.9-1) unstable; urgency=low

  * New upstream release (ABI, API added).

 -- Simon McVittie <smcv@debian.org>  Fri, 30 May 2008 18:22:07 +0100

telepathy-glib (0.7.8-1) unstable; urgency=low

  * New upstream release (ABI, API added) with support for the Hold interface

 -- Simon McVittie <smcv@debian.org>  Fri, 09 May 2008 16:23:15 +0100

telepathy-glib (0.7.7-1) unstable; urgency=low

  * New upstream release (ABI, API added)
  * Use my Debian email address in Uploaders
  * Update years in debian/copyright

 -- Simon McVittie <smcv@debian.org>  Fri, 02 May 2008 17:43:23 +0100

telepathy-glib (0.7.6-1) unstable; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 03 Apr 2008 18:24:37 +0100

telepathy-glib (0.7.5-1) unstable; urgency=low

  * New upstream release (ABI, API added)

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Fri, 07 Mar 2008 16:00:14 +0000

telepathy-glib (0.7.4-1) unstable; urgency=low

  * New upstream bugfix release

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Wed, 05 Mar 2008 11:31:43 +0000

telepathy-glib (0.7.3-1) unstable; urgency=low

  * New upstream release
    - now uses Requires.private for reduced impact on library transitions;
      added dependency on pkg-config 0.21
    - ABI added: D-Bus core Properties mixin (shlibs bumped, symbols added)
  * Bump dependency on dbus-1 to 0.95 to match what configure.ac says

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Wed, 20 Feb 2008 13:11:39 +0000

telepathy-glib (0.7.2-1) unstable; urgency=low

  * New upstream release, fixes assertion in Room -> Join New... in Empathy.
  * Bumped shlibs, added new symbols.
  * Amended description to stop saying "a library for connection managers"
    now that we have client code.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 11 Feb 2008 19:08:06 +0000

telepathy-glib (0.7.1-2) unstable; urgency=low

  * Don't use wildcards in .symbols, for compatibility with dpkg-gensymbols
    in 1.14.8 <= dpkg-dev < 1.14.16 (e.g. Ubuntu hardy).

    This will also fix building on buildds that aren't fully up to date -
    the previous upload should have had
    Build-Depends: dpkg-dev (>= 1.14.16) | dpkg-dev (<< 1.14.8).

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Wed, 06 Feb 2008 13:32:18 +0000

telepathy-glib (0.7.1-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Standards-Version: 3.7.3 (no changes)

  [ Simon McVittie ]
  * New upstream release with (many) ABI additions, bump shlibs
  * Add a symbols file using the upstream versioned symbols
    (making *@TELEPATHY_GLIB_0.7.0 depend on version 0.7.1 is not a typo -
    versioned symbols were introduced upstream in 0.7.1)
  * Install example Valgrind suppressions and code in -doc

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 04 Feb 2008 17:58:03 +0000

telepathy-glib (0.7.0-1) unstable; urgency=low

  * New upstream development release with ABI additions, bump shlibs
  * Tighten versioned dependencies to match configure.ac
  * Add XS-Dm-Upload-Allowed: yes so I can upload it

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 22 Nov 2007 17:39:28 +0000

telepathy-glib (0.6.1-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Use new Homepage field instead of old pseudo-field
  * Use now official Vcs-* field

  [ Simon McVittie ]
  * New upstream version 0.6.1, bump shlibs version
  * Explicitly disable -Werror in builds (doesn't affect releases, but makes
    it easier to build unofficial snapshots - cdbs forces -Wall which warns on
    unused parameters)

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 12 Nov 2007 10:52:51 +0000

telepathy-glib (0.6.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * New upstream release, bump shlibs version

  [ Sjoerd Simons ]
  * Remove telepathy-glib-unstable-dev. It's officially deprecated

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 29 Sep 2007 12:32:48 +0200

telepathy-glib (0.5.14-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Add XS-Vcs-Bzr field
  * Add myself as an Uploaders
  * Use binary:Version instead of Source-Version to be binNMU safe

  [ Simon McVittie ]
  * New upstream release
    - increase shlibdeps to 0.5.14

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 28 Aug 2007 15:21:47 +0100

telepathy-glib (0.5.13-1) unstable; urgency=low

  * New upstream version.
    - ABI added - update shlibs
  * Set maintainer to the pkg-telepathy mailing list.
  * Fix debian/watch.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 05 Jun 2007 13:10:24 +0100

telepathy-glib (0.5.11-1) unstable; urgency=low

  * New upstream version.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 30 Apr 2007 18:36:37 +0100

telepathy-glib (0.5.10-1) unstable; urgency=low

  * Initial release, separated from telepathy-gabble upstream.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Fri, 20 Apr 2007 12:22:22 +0100
